Subject: Re: bug#76441: 29.4; Emacs 30.1 RC 1: makeinfo always needed when building from release archive

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2025 18:14:43 +0200

> Cc: [email-masked], [email-masked]
> Date: Sat, 22 Feb 2025 17:49:38 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> I actually think the problem is with this line:
> 
>   auxfiles = $(buildinfodir)/elisp_type_hierarchy.txt $(buildinfodir)/elisp_type_hierarchy.jpg
> 
> Why does it use $(buildinfodir) and not $(srcdir) ?

I think I get it: that was a way to make sure these image files are
copied to the info/ directory, where the manuals are.

But in that case, the rules should be modified so that the manuals
would not depend on these copied images, but on their sources.  And
the elisp.info rule should explicitly copy the image files to
$(buildinfodir).